Subject: bug#42118: Editing pulseaudio config file fails with "No such file or directory"

From: Leo Prikler <[email-masked]>
Date: Wed, 01 Jul 2020 12:57:54 +0200

Am Mittwoch, den 01.07.2020, 04:33 -0500 schrieb Nathan Dehnel:
> > Due to a bug with webkit sandboxing, we no longer put daemon.conf
> > into
> /etc/pulse (my bad), but rather set PULSE_CONFIG to directly point to
> it.
> I meant to say /gnu/store/<pulse package>/etc/pulse/daemon.conf.
> 
> > I am currently unsure, at which point this variable
> gets updated (I still think you need to reboot)
> 
> I rebooted and everything seems the same.
> 
> Maybe the problem is pulse uses Jack1 as a dependency and I'm trying
> to use Jack2.
That might be an issue, but your $PULSE_CONFIG should at least point to
the right default.pa.  It should especially not be the daemon.conf
shipped with pulseaudio, because we override flat-volumes (which most
distros agree has an insane default).

Btw. please keep the bug in your reply, so that others can follow.  The
easiest way of doing so is to use "reply to all" in your mail client.

Regards, Leo